#!/bin/sh
#

EXT=net-snmp
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash file squashfs-tools \
		libtool-dev cmake readline-dev openssl-dev pcre-dev liblzma-dev \
		perl5 python3-dev python3-setuptools libxml2-python glib2-python \
		mariadb-10.1-dev mariadb-10.1
	do tce-load -i $a
done

echo $PATH | grep -q mysql || export PATH=$PATH:/usr/local/mysql/bin

#make clean
./configure \
	--disable-embedded-perl \
	--with-mysql \
	--with-perl-modules \
	--with-defaults \
	--without-rpm \
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ
else
	make install DESTDIR=$TCZ
	chmod -R ug+w $TCZ
	for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

mkdir -p $TCZ-dev/usr/local/bin
mkdir -p $TCZ-dev/usr/local/lib
mkdir -p $TCZ-dev/usr/local/share

mv $TCZ/usr/local/include $TCZ-dev/usr/local
mv $TCZ/usr/local/lib/*.a $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/lib/*.la $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/share/man $TCZ-dev/usr/local/share
mv $TCZ/usr/local/bin/net-snmp-config $TCZ-dev/usr/local/bin/net-snmp-config

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend

